%define libmajor 1
%define libname %mklibname %name %libmajor
%define libnamedevel %mklibname -d %name

Name: netcf
Version: 0.2.8
Release: %mkrel 9
Group: Networking/Other
License: LGPLv2
Summary: A distribution agnostic library and tool for configuring network interfaces
URL: https://fedorahosted.org/netcf
Source: https://fedorahosted.org/released/netcf/netcf-%{version}.tar.gz
Source1: https://fedorahosted.org/released/netcf/netcf-%{version}.tar.gz.sig
# fixes from ubunto to build against libnl3
Patch2: 0002-convert-some-function-calls-to-libnl3-API.patch
Patch3: 0008-fix-libnl3-cflags-and-linking.patch
Patch4: 0009-do-not-include-net-if.patch
BuildRequires: pkgconfig(augeas) 
BuildRequires: pkgconfig(libxslt) 
BuildRequires: libnl3-devel 
BuildRequires: readline-devel

%description
netcf is

    * a library for configuring network interfaces
    * a command line tool (ncftool) to do the same from the command line
    * distribution-agnostic and supports multiple distributions and operating
      systems (well, soon, anyway)
    * sets up Ethernet interfaces, bridges, and bonds 

Both libvirt and NetworkManager need this functionality - netcf implements what
is common to both of them.

%package -n %libname
Group: System/Libraries
Summary: A distribution agnostic library for configuring network interfaces

%description -n %libname
A distribution agnostic library for configuring network interfaces

Both libvirt and NetworkManager need this functionality - netcf implements what
is common to both of them.

%package -n %libnamedevel
Group: Development/C
Summary: Development files for a library for configuring network interfaces
Requires: %libname >= %version-%release
Provides: %name-devel = %{version}

%description -n %libnamedevel
Development files for a distribution agnostic library for configuring network 
interfaces.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la

%files
%doc README NEWS AUTHORS
%{_bindir}/*
%{_datadir}/%{name}
%_libexecdir/netcf-transaction.sh
%{_mandir}/man1/ncftool.*
%_unitdir/netcf-transaction.service

%files -n %libname
%{_libdir}/*.so.%{libmajor}{,.*}

%files -n %libnamedevel
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Mar 16 2025 wally <wally> 0.2.8-9.mga10
+ Revision: 2164960
- rebuild for libxml2 2.13.6

* Sat Mar 26 2022 umeabot <umeabot> 0.2.8-8.mga9
+ Revision: 1827918
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.2.8-7.mga8
+ Revision: 1542196
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.2.8-6.mga8
+ Revision: 1475990
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 0.2.8-5.mga7
+ Revision: 1299706
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Jan 02 2018 wally <wally> 0.2.8-4.mga7
+ Revision: 1189453
- rebuild for new readline

* Tue Feb 09 2016 umeabot <umeabot> 0.2.8-3.mga6
+ Revision: 952713
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.2.8-2.mga6
+ Revision: 930504
- Mageia 6 Mass Rebuild

* Sun May 10 2015 neoclust <neoclust> 0.2.8-1.mga5
+ Revision: 821710
- New version 0.2.8  ( sec fixes )

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-5.mga5
+ Revision: 745692
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-4.mga5
+ Revision: 682849
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.2-3.mga4
+ Revision: 508295
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 0.2.2-1.mga3
+ Revision: 318104
- update file list
- new version 0.2.2

* Tue Mar 20 2012 tmb <tmb> 0.1.9-2.mga2
+ Revision: 225045
- build against libnl3 (ubuntu, P1-P4)

* Mon Mar 05 2012 misc <misc> 0.1.9-1.mga2
+ Revision: 218852
- add patch to fix rpmlint complaint
- Add initscript for managing the netcf transaction
- new version 0.1.9

* Tue Apr 05 2011 misc <misc> 0.1.7-1.mga1
+ Revision: 80715
- imported package netcf from Mandriva


* Fri Mar 25 2011 Buchan Milne <bgmilne@mandriva.org> 0.1.7-1mdv2011.0
+ Revision: 648497
- Update some buildrequires
- import netcf

